(* Copyright (C) 1997-1999 NEC Research Institute.
 * Please see the file LICENSE for license information.
 *)
functor MonoArray(V: MONO_VECTOR): MONO_ARRAY =
   struct
      structure Vector = V
      type elem = V.elem
      open Array
      type array = elem array
   end

structure Word8Array = MonoArray(Word8Vector)
structure CharArray = MonoArray(CharVector)
structure BoolArray = MonoArray(BoolVector)
structure IntArray = MonoArray(IntVector)
structure RealArray = MonoArray(RealVector)
structure Real64Array = RealArray
