(* Copyright (C) 1997-1999 NEC Research Institute.
 * Please see the file LICENSE for license information.
 *)
functor MonoArray2(V: MONO_VECTOR): MONO_ARRAY2 =
   struct
      structure Vector = V
      type elem = V.elem
      open Array2
      type array = elem array
      type region = {base: array,
		     row: int,
		     col: int,
		     nrows: int option,
		     ncols: int option}
   end

structure Word8Array2 = MonoArray2(Word8Vector)
structure CharArray2 = MonoArray2(CharVector)
structure BoolArray2 = MonoArray2(BoolVector)
structure IntArray2 = MonoArray2(IntVector)
structure RealArray2 = MonoArray2(RealVector)

