signature INT_INF =
   sig
      eqtype int

      val toLarge: int -> LargeInt.int
      val fromLarge: LargeInt.int -> int
      val toInt: int -> Int.int
      val fromInt: Int.int -> int
      val precision: Int.int option
      val minInt: int option
      val maxInt: int option
      val ~ : int -> int
      val * : int * int -> int
(*      val div: int * int -> int *)
(*      val mod: int * int -> int *)
      val quot: int * int -> int
      val rem: int * int -> int
      val + : int * int -> int
      val - : int * int -> int
      val compare: int * int -> order
      val > : int * int -> bool
      val >= : int * int -> bool
      val < : int * int -> bool
      val <= : int * int -> bool
      val abs: int -> int
      val min: int * int -> int
      val max: int * int -> int
      val sign: int -> Int.int
      val sameSign: int * int -> bool
      val fmt: StringCvt.radix -> int -> string
      val toString: int -> string
      val fromString: string -> int option
      val scan: StringCvt.radix -> (char, 'a) StringCvt.reader
				-> (int, 'a) StringCvt.reader
(*      val divMod: (int * int) -> (int * int)
 *      val quotRem: (int * int) -> (int * int)
 *)
      val pow: (int * Int.int) -> int
(*      val log2: int -> Int.int
 *      val orb: (int * int) -> int
 *      val xorb: (int * int) -> int
 *      val andb: (int * int) -> int
 *      val notb: int -> int
 *      val << : (int * Word.word) -> int
 *      val ~>> : (int * Word.word) -> int
*)
   end
