(* Copyright (C) 1997-1999 NEC Research Institute.
 * Please see the file LICENSE for license information.
 *)
signature SIGNALS =
   sig
      eqtype signal

      type sigset

      val empty: sigset
      val full: sigset
      val add: sigset * signal -> sigset
      val del: sigset * signal -> sigset
      val isMember: sigset * signal -> bool
	 
      val block: sigset -> unit
      val unblock: sigset -> unit
   end
