/* ffi.h */
/* This is the wrapper around ffi that is to be called from MLton.  It
 * does the casts to make MLton arrays and refs look like C arrays and
 * pointers.
 * The SML type of FFI is real array * int ref * int -> char.
 */
#define FFI(ds,r,i) ffi((double*)ds, (int*)r, i)

/* ffi is a silly function.  It sums the elements ds, stores the
 * result in p, adds i to each element of ds, and returns 'c'.
 */
unsigned char ffi(double *ds, int *p, int i);
