(* Copyright (C) 1997-1999 NEC Research Institute.
 * Please see the file LICENSE for license information.
 *)
signature AST_ID_STRUCTS =
   sig
      (* the name to print out for error messages *)
      val className: string
   end

signature AST_ID =
   sig
      include AST_ID_STRUCTS
      include T
      include WRAPPED
	 (* where type obj = t *)
	 sharing type obj = t

      val fromString: string -> t
      val toString: t -> string
      val hash: t -> word
      val bogus: t

      (* report an unbound error message *)
      val unbound: t -> unit
   end
