(* Copyright (C) 1997-1999 NEC Research Institute.
 * Please see the file LICENSE for license information.
 *)
signature EXTRACT_TARGS_STRUCTS = 
   sig
      structure Prim: PRIM
      structure Type: TYPE_OPS
   end

signature EXTRACT_TARGS = 
   sig
      include EXTRACT_TARGS_STRUCTS
      
      val extract: {prim: Prim.t,
		    args: Type.t list,
		    result: Type.t} -> Type.t list
   end
