(* Copyright (C) 1997-1999 NEC Research Institute.
 * Please see the file LICENSE for license information.
 *)
signature FLOW_ANALYSIS_STRUCTS = 
   sig
      structure Sxml: SXML
   end

signature FLOW_ANALYSIS = 
   sig
      include FLOW_ANALYSIS_STRUCTS

      structure Value: ABSTRACT_VALUE
      
      val analyze:
	 Sxml.Program.t
	 -> {
	     value: Sxml.Var.t -> Value.t,
	     conArg: Sxml.Con.t -> Value.t option
	    }
   end
