(* Copyright (C) 1997-1999 NEC Research Institute.
 * Please see the file LICENSE for license information.
 *)
signature ELABORATE_CORE_STRUCTS = 
   sig
      include ELABORATE_PAT_STRUCTS
   end

signature ELABORATE_CORE = 
   sig
      include ELABORATE_CORE_STRUCTS

      (* elaborate dec in env, accumulating Core ML decs and bindings *)
      val elaborateDec:
	 Ast.Dec.t * Env.t * Decs.t * Env.t
	 -> Decs.t * Env.t
   end
