(* Copyright (C) 1997-1999 NEC Research Institute.
 * Please see the file LICENSE for license information.
 *)
signature ELABORATE_SIGEXP_STRUCTS = 
   sig
      structure Ast: AST
      structure Basis: BASIS
      sharing Ast = Basis.Ast
      structure Interface: INTERFACE
      sharing Interface = Basis.Interface
      sharing Basis.Env.TypeStr = Interface.TypeStr
   end

signature ELABORATE_SIGEXP = 
   sig
      include ELABORATE_SIGEXP_STRUCTS

      val elaborateSigexp: Ast.Sigexp.t * Basis.t -> Interface.t
   end
