signature ARRAY_1D =
   sig
      include ARRAY
      
      val fold: 'a t * 'b * ('a * 'b -> 'b) -> 'b
      val foldr: 'a t * 'b * ('a * 'b -> 'b) -> 'b
      val foldr2: 'a t * 'b t * 'c * ('a * 'b * 'c -> 'c) -> 'c
      val peek: 'a t * ('a -> bool) -> 'a option
      val outputN: Int.t * string * ('a * Out.t -> unit) -> 'a t * Out.t -> unit

      val fromList: 'a list -> 'a t
      val toList: 'a t -> 'a list
   end
