signature ARRAY =
   sig
      include BASIC_ARRAY
      
      val copy: 'a t -> 'a t
      val equals: 'a t * 'a t * ('a * 'a -> bool) -> bool
      val exists: 'a t * ('a -> bool) -> bool
      val foldi: 'a t * 'b * (Index.t * 'a * 'b -> 'b) -> 'b
      val forall: 'a t * ('a -> bool) -> bool
      val foralli: 'a t * (Index.t * 'a -> bool) -> bool
      val foreach: 'a t * ('a -> unit) -> unit
      val foreachi: 'a t * (Index.t * 'a -> unit) -> unit
      val foreach2: 'a t * 'b t * ('a * 'b -> unit) -> unit
      val getAndSet: 'a t -> (Index.t -> 'a) * (Index.t * 'a -> unit)
      val layout: ('a -> Layout.t) -> 'a t -> Layout.t
      val shuffle: 'a t -> unit
      val size: 'a t -> int
      val swap: 'a t * Index.t * Index.t -> unit
   end
