(*-------------------------------------------------------------------*)
(*                          Array1DStandard                          *)
(*-------------------------------------------------------------------*)

functor Array1DStandard(structure I: INTEGER
			structure L: LIST): ARRAY_1D_BASIC =
struct

structure I = I
structure L = L

structure A = PervasiveArray

type 'a t = 'a A.array
   
exception New = Size

fun new(size, f) = A.tabulate(I.toInt size, f)

fun sub(a, i) = A.sub(a, I.toInt i)

fun update(a, i, x) = A.update(a, I.toInt i, x)

fun size a = I.intTo(A.length a)

fun listTo l = A.ararayoflist(L.listTo l)

end

