signature OPTION =
   sig
      type 'a t = 'a option

      val equals: ('a * 'a -> bool) -> 'a t * 'a t -> bool
      val isSome: 'a t -> bool
      val map: 'a t * ('a -> 'b) -> 'b t
      val map': 'a t * ('a -> unit) -> unit
      val valOf: 'a t -> 'a
      val layout: ('a -> Layout.t) -> 'a t -> Layout.t
   end
