signature OUTSTREAM =
   sig
      type t
	 
      val standard: t
      val error: t

      val openOut: string -> t
      val openAppend: string -> t
      val close: t -> unit
      val output: t * string -> unit
      val outputc: t -> string -> unit
      val flush: t -> unit
      val newline: t -> unit
      val fluidLet: t * t * (unit -> 'a) -> 'a

      (*val forward: {from: t, to: t} -> unit*)

      val print: string -> unit

      val ignore: 'a * t -> unit

      val output2: ('a * t -> unit) * ('b * t -> unit)
	 -> (('a * 'b) * t -> unit)

      val output3 :
	 ('a * t -> unit) * ('b * t -> unit) * ('c * t -> unit)
	 -> (('a * 'b * 'c) * t -> unit)
   end
