signature CONTAINER =
   sig
      type 'a t

      val size: 'a t -> Int.t
      val foreach: 'a t * ('a -> unit) -> unit
      val forall: 'a t * ('a -> bool) -> bool
      val exists: 'a t * ('a -> bool) -> bool
      val contains: 'a t * 'a * ('a * 'a -> bool) -> bool
      val equals: 'a t * 'b t * ('a * 'b -> bool) -> bool
      val layout: ('a -> Layout.t) -> 'a t -> Layout.t

      (* Specify a string to separate the elements *)
      val layoutSep: string * ('a -> Layout.t) -> 'a t -> Layout.t
   end
