signature SHORTEST_PATH =
   sig
      structure Graph: DIRECTED_GRAPH
      structure Weight: WEIGHT
	 
      val shortestPath: {graph: Graph.t,
			  weight: Graph.Edge.t -> Weight.t,
			  source: Graph.Node.t}
	 -> Graph.Node.t -> Weight.t option
   end
