(*-------------------------------------------------------------------*)
(*                           Binomial Heap                           *)
(*-------------------------------------------------------------------*)

functor EagerBinomialHeap(Key: BOUNDED_ORDER): HEAP =
struct

structure ForestHeap = ForestHeap(Key)
open ForestHeap

val new = newEager
   
val insert = insertEager
   
val decreaseKey = decreaseKeySift

val delete = deleteSift

val union = unionEager

end

functor LazyBinomialHeap (Key: BOUNDED_ORDER): HEAP =
struct

structure ForestHeap = ForestHeap(Key)
open ForestHeap

val new = newLazy

val insert = insertLazy
   
val decreaseKey = decreaseKeySift

val delete = deleteSift

val union = unionLazy

end
