signature MARK =
   sig
      include ORDER

      val fromFile: FileSys.File.t -> t
      val fromString: string -> t

      val bol: t -> t
      val nextLine: t -> t
      val previousLine: t -> t
      val nextLines: t * int -> t
      val previousLines: t * int -> t
      val forwardChar: t -> t
      val forwardChars: t * int -> t
      val skipSpaces: t -> t
      val search: t * string -> t (* right after end of string *)
      val searchBackward: t * string -> t
      val int: t -> t * int
      val real: t -> t * real
   end
