functor UniqueId() :> UNIQUE_ID =
   struct
      type t = unit ref

      fun new(): t = ref()

      val equals = Ref.equals

      fun layout _ = Layout.empty
   end

functor IntUniqueId() :> UNIQUE_ID =
   struct
      type t = int

      val cur = ref 0

      fun new(): t = (IntRef.inc cur ; !cur)

      val equals = Int.equals

      val layout = Int.layout
   end

functor UnitUniqueId() :> UNIQUE_ID =
   struct
      open Unit

      fun new() = ()
   end

