(*-------------------------------------------------------------------*)
(*                               Ring                                *)
(*-------------------------------------------------------------------*)

functor Ring (R: BASIC_RING): RING =
struct

open R

val (op -) = fn (n, m) => n + ~m

fun add1 n = n + one

fun sub1 n = n - one

val negOne = sub1 zero
   
val two = add1 one

val three = add1 two

fun double n = n + n
fun square n = n * n

fun isZero n = equals(n, zero)

end
