functor OrderedUniqueSet(S: ORDERED_UNIQUE_SET_STRUCTS): ORDERED_UNIQUE_SET = 
struct

open S

datatype t = T of {elements: Element.t list,
		   length: int}

fun fromList(xs: Element.t list): t =
   T{length = List.length xs,
     elements = #insertionSort(List.ordered{< = Element.<}) xs}
   
fun equals(T{elements = xs, length = n}, T{elements = xs', length = n'}) =
   n = n' andalso List.equals(xs, xs', Element.equals)
   
end
