structure T = Tabbing

   T.output(T.sequence[T.align[T.string "foo",
			       T.string "bar"],
		       T.string "baz"],
	    Out.error)

   

   
val deep =
   Trace.traceRec
   ("deep", Int.output, Int.output)
   (fn deep => fn n => if n = 0 then 0 else deep(n-1))

   deep 10

   structure C = Trace.Computation

      val c = Trace.get()

C.output(c, Out.error)
   
fun add1 x = x + 1
   
val tadd1 = Trace.trace("add1", Int.output, Int.output) add1

tadd1(tadd1 0)

add1 0
==> 1
add1 1
==> 2
      
val fib =
   Trace.traceRec("fib", Int.output, Int.output)
   (fn fib => 
    fn 0 => 0
     | 1 => 1
     | n => fib(n-1) + fib(n-2)) ;
structure C = Computation ;
val _ = fib 5 ;
val c = Trace.get() 




fun even n = Trace.trace("even", Int.output, Bool.output)
   (fn 0 => true | n => odd(n-1)) n
and odd n = Trace.trace("odd", Int.output, Bool.output)
   (fn 0 => false | n => even(n-1)) n

val _ = even 13 ;
val c = Trace.get()

   Trace.reset()
   
C.output(c, Out.error)

C.outputCalls(c, Out.error)

val c' = C.keepAll(c, fn "even" => true | _ => false)

C.output(c', Out.error)   
   
Trace.history()

structure ST = StringTree
   
val t = ST.Node{children = [ST.Leaf(String.make(30, #"1")),
			    ST.Leaf(String.make(30, #"2")),
			    ST.Leaf(String.make(30, #"3"))],
		childsep = ST.Left "foo ",
		indent = 5,
		start = "",
		finish =""}

      ST.output(t, Out.standard)

val r = ST.toReport t
   

