(* Copyright (C) 1997-1999 NEC Research Institute.
 * Please see the file LICENSE for license information.
 *)
structure General: GENERAL =
   struct
      open Primitive.General
	 
      type unit = unit
      type exn = exn
	 
      exception Bind = Bind
      exception Chr
      exception Div
      exception Domain
      exception Fail of string
      exception Match = Match
      exception Overflow
      exception Size
      exception Span
      exception Subscript

      datatype order = LESS | EQUAL | GREATER

      val exnMessage = exnName
 
      fun (f o g) x = f(g(x))
      fun before(x, ()) = x
      fun ignore _ = ()
   end

structure GeneralGlobal: GENERAL_GLOBAL = General
open GeneralGlobal
