(* Copyright (C) 1997-1999 NEC Research Institute.
 * Please see the file LICENSE for license information.
 *)
structure Int32 =
   Integer(open Primitive.Int
	   val precision = SOME 32
	   val maxInt = SOME 0x7fffffff
	   val minInt = SOME ~0x80000000
	   local fun ident x = x
	   in val toInt = ident
	      val fromInt = ident
	   end)

structure Int = Int32
structure IntGlobal: INTEGER_GLOBAL = Int
open IntGlobal
structure Position = Int
