(* Copyright (C) 1997-1999 NEC Research Institute.
 * Please see the file LICENSE for license information.
 *)
structure Word8: WORD_EXTRA =
   Word
   (structure P = Primitive.Word8
    open P
       
    type word = word8

    val wordSize = 8

    val highBit: word = 0wx80
    val allOnes: word = 0wxFF
    val zero: word = 0w0

    val {compare, min, max} = Util.makeCompare(op <)
       )
