(* Copyright (C) 1997-1999 NEC Research Institute.
 * Please see the file LICENSE for license information.
 *)
signature CLEANER =
   sig
      structure UniqueId: UNIQUE_ID

      val addCleaner: UniqueId.id * (unit -> unit) -> unit
      val removeCleaner: UniqueId.id -> unit
      val addNewCleaner: (unit -> unit) -> unit

      val clean: unit -> unit
   end
