(* Copyright (C) 1997-1999 NEC Research Institute.
 * Please see the file LICENSE for license information.
 *)
signature ARRAY = ARRAY
signature ARRAY2 = ARRAY2
signature BOOL = BOOL
signature BYTE = BYTE
signature CHAR = CHAR
signature COMMAND_LINE = COMMAND_LINE
signature DATE = DATE
signature GENERAL = GENERAL
signature IEEE_REAL = IEEE_REAL
signature INTEGER = INTEGER
signature INT_INF = INT_INF
signature IO = IO
signature LIST = LIST
signature LIST_PAIR = LIST_PAIR
signature MATH = MATH
signature MONO_ARRAY = MONO_ARRAY
signature MONO_ARRAY2 = MONO_ARRAY2
signature MONO_VECTOR = MONO_VECTOR
signature OPTION = OPTION
signature OS = OS
signature PACK_WORD = PACK_WORD
signature POSIX = POSIX
signature POSIX_ERROR = POSIX_ERROR
signature POSIX_SIGNAL = POSIX_SIGNAL
signature POSIX_PROCESS = POSIX_PROCESS
signature POSIX_PROC_ENV = POSIX_PROC_ENV
signature POSIX_FILESYS = POSIX_FILESYS
signature POSIX_IO = POSIX_IO
signature POSIX_SYS_DB = POSIX_SYS_DB
signature POSIX_TTY = POSIX_TTY
signature REAL = REAL
signature SML90 = SML90
signature STRING = STRING
signature STRING_CVT = STRING_CVT
signature SUBSTRING = SUBSTRING
signature TEXT_IO = TEXT_IO
signature BIN_IO = BIN_IO
signature TIME = TIME
signature UNIX = UNIX
signature VECTOR = VECTOR
signature WORD = WORD
   
structure Array: ARRAY = Array
structure Array2: ARRAY2 = Array2
structure Bool: BOOL = Bool
structure BoolArray: MONO_ARRAY = BoolArray
structure BoolArray2: MONO_ARRAY2 = BoolArray2
structure BoolVector: MONO_VECTOR = BoolVector
structure Byte: BYTE = Byte
structure Char: CHAR = Char
structure CharArray: MONO_ARRAY = CharArray
structure CharArray2: MONO_ARRAY2 = CharArray2
structure CharVector: MONO_VECTOR = CharVector
structure CommandLine: COMMAND_LINE = CommandLine
structure Date: DATE = Date
structure General: GENERAL = General
structure IEEEReal: IEEE_REAL = IEEEReal
structure Int: INTEGER = Int
structure Int32: INTEGER = Int32
structure IntArray: MONO_ARRAY = IntArray
structure IntArray2: MONO_ARRAY2 = IntArray2
structure IntVector: MONO_VECTOR = IntVector
structure IntInf: INT_INF = IntInf
structure IO: IO = IO
(* Add the : INTEGER constraint as soon as div and mod are implemented
 * in LargeInt
 *)
structure LargeInt(*: INTEGER *) = LargeInt
structure LargeReal: REAL = LargeReal
structure LargeWord: WORD = Word
structure List: LIST = List
structure ListPair: LIST_PAIR = ListPair
structure Math: MATH = Real.Math
structure Option: OPTION = Option
structure OS: OS = OS
structure Pack32Big: PACK_WORD = Pack32Big
structure Pack32Little: PACK_WORD = Pack32Little
structure Posix: POSIX = Posix
structure Real: REAL = Real
structure RealArray: MONO_ARRAY = RealArray
structure Real64Array: MONO_ARRAY = RealArray
structure RealArray2: MONO_ARRAY2 = RealArray2
structure RealVector: MONO_VECTOR = RealVector
structure SML90:> SML90 = SML90
structure String: STRING = String
structure StringCvt: STRING_CVT = StringCvt
structure Substring: SUBSTRING = Substring
structure SysWord: WORD = SysWord
structure TextIO:> TEXT_IO = TextIO
structure BinIO:> BIN_IO = BinIO
structure Time: TIME = Time
structure Unix: UNIX = Unix
structure Vector: VECTOR = Vector
structure Word: WORD = Word
structure Word8: WORD = Word8
structure Word8Array: MONO_ARRAY = Word8Array
structure Word8Array2: MONO_ARRAY2 = Word8Array2
structure Word8Vector: MONO_VECTOR = Word8Vector
structure Word32: WORD = Word32

open ArrayGlobal BoolGlobal CharGlobal IntGlobal GeneralGlobal ListGlobal
   OptionGlobal RealGlobal StringGlobal SubstringGlobal TextIOGlobal VectorGlobal
   WordGlobal

local
   structure Top: sig
		     val real: int -> real
		     val <> : ''a * ''a -> bool
		     val vector: 'a list -> 'a vector
		  end =
		  struct
		     val real = real
		     val op <> = op <>
		     val vector = vector
		  end
in
   open Top
end

datatype ref = datatype ref

(*------------------------------------*)
(*            nonstandard             *)
(*------------------------------------*)

signature MLTON = MLTON
structure MLton: MLTON = MLton

signature SML_OF_NJ = SML_OF_NJ
structure SMLofNJ: SML_OF_NJ = SMLofNJ

structure Unsafe: UNSAFE = Unsafe
structure Timer = Timer
