(* ffi.sml *)

(* Declare ffi to be implemented by calling the C macro (or function) FFI. *)
val ffi = _prim "FFI": real array * int ref * int -> char;
open Array

val size = 10
val a = tabulate(10, fn i => real i)
val r = ref 0
val n = 17

(* Call the C function *)
val c = ffi(a, r, n)

val _ =
   print(if c = #"c" andalso !r = 45
	    then "success\n"
	 else "fail\n")
