(* Copyright (C) 1997-1999 NEC Research Institute.
 * Please see the file LICENSE for license information.
 *)
signature AST_CONST_STRUCTS =
   sig
   end

signature AST_CONST =
   sig
      include AST_CONST_STRUCTS
	 
      datatype t =
	 Int of string
       | Word of Word32.word
       | Real of string
       | String of string
       | Char of char

      val fromInt: int -> t

      val equals: t * t -> bool
      val layout: t -> Layout.t
   end
