(* Copyright (C) 1997-1999 NEC Research Institute.
 * Please see the file LICENSE for license information.
 *)
signature PRIM_CONS_STRUCTS =
   sig
      type t
      val equals: t * t -> bool
      val fromString: string -> t
   end

signature PRIM_CONS =
   sig
      type con

      (* built-in constructors *)
      val cons: con
      val falsee: con
      val nill: con
      val reff: con
      val truee: con

      (* built-in exception constructors *)
      val bind: con
      val match: con

      val excons: con list
      val isPrimExcon: con -> bool
   end
