(* Copyright (C) 1997-1999 NEC Research Institute.
 * Please see the file LICENSE for license information.
 *)
functor Con(S: CON_STRUCTS): CON = 
struct

open S

structure C = HashId(structure AstId = AstId
		     val noname = "C")
open C
structure P = PrimCons(C)
open P

val fromAst = newString o AstId.toString
   
fun fromAsts l = List.map(l, fromAst)
   
val toAst = AstId.fromString o toString
   
fun toAsts l = List.map(l, toAst)

val all = [cons, falsee, nill, reff, truee, bind, match]
   
fun clearPrimitive() = List.foreach(all, clear)

end
