(* Copyright (C) 1997-1999 NEC Research Institute.
 * Please see the file LICENSE for license information.
 *)
structure FixedPoint: FIXED_POINT =
   struct
      fun fixedPoint f =
	 let
	    fun loop() =
	       let val changed = ref false
	       in f(fn () => changed := true);
		  if !changed
		     then loop()
		  else ()
	       end
	 in loop()
	 end
   end
