(* Copyright (C) 1997-1999 NEC Research Institute.
 * Please see the file LICENSE for license information.
 *)

(* This file is just a dummy provided in place of the structure that MLton
 * supplies so that we can compile under SML/NJ.
 *) 
structure MLton: MLTON =
   struct
      structure GC =
	 struct
	    fun collect _ = ()
	    fun messages _ = ()
	    fun summary _ = ()
	 end
	 
      fun cleanAtExit _ = raise Fail "cleanAtExit"

      fun random _ = 0w13: Word32.word

      val safe = true

      datatype status = Original | Clone

      fun saveWorld _ = raise Fail "saveWorld"
      fun size _ = ~1

      local open SMLofNJ.Cont
      in
	 type 'a cont = 'a cont
	 val callcc = callcc
	 val throw = throw
      end
	 
   end
