(* Copyright (C) 1997-1999 NEC Research Institute.
 * Please see the file LICENSE for license information.
 *)
functor Constructors(S: CONSTRUCTORS_STRUCTS): CONSTRUCTORS = 
struct

open S

datatype t =
   T of {
	 exceptions: {
		      con: Con.t,
		      arg: Scheme.Type.t option
		      } list,
	 datatypes: {
		     tycon: Tycon.t,
		     tyvars: Tyvar.t list,
		     cons: {
			    con: Con.t,
			    arg: Scheme.Type.t option
			    } list
		     } list
	 }

end
