(* Copyright (C) 1997-1999 NEC Research Institute.
 * Please see the file LICENSE for license information.
 *)
functor Decs(S: DECS_STRUCTS): DECS =
struct

open S

type dec = CoreML.Dec.t

open AppendList

type t = dec t

val toList = toList
   
fun add(ds, d) = append(ds, single d)

val fromDec = single

fun toAsts ds = List.map(toList ds, CoreML.Dec.toAst)

fun toAst ds = Ast.Dec.make(Ast.Dec.SeqDec(toAsts ds))

local open Layout
in fun layout ds = align(List.map(toAsts ds, Ast.Dec.layout))
end

end
