signature BASIC_ARRAY =
   sig
      structure Shape: T
      structure Index: T

      type 'a t
	 
      exception New
      val new: Shape.t * 'a -> 'a t
      val array: Shape.t * 'a -> 'a t (* synonym for new *)
      val tabulate: Shape.t * (Index.t -> 'a) -> 'a t

      val shape: 'a t -> Shape.t

      val sub: 'a t * Index.t -> 'a
      val update: 'a t * Index.t * 'a -> unit
   end
