signature BOOL_ARRAY =
   sig
      structure I: INTEGER
	 
      type t
	 
      exception New
      val new: I.t * bool -> t

      val sub: t * I.t -> bool
      val update: t * I.t * bool -> unit
      val set: t * I.t -> unit
      val clear: t * I.t -> unit
   end
