signature MULTI_DIMENSIONAL_ARRAY =
   sig
      include ARRAY

      structure I: INTEGER

      val foreach: '1a t * ('1a -> unit) -> unit
	 
      val shuffle: '1a t -> unit

      (* only works for one or two dimensional arrays *)
      val output: '1a t
	 * ('1a * Outstream.t -> unit)
	 * Outstream.t -> unit
   end
