structure Error: ERROR =
struct

fun print str = TextIO.output(TextIO.stdErr, str)

fun err(name, msg, exn) =
   (print name
    ; print ": "
    ; print msg
    ; print "\n"
    ; raise exn)
   
exception Unimplemented
fun unimplemented msg = err("Unimplemented", msg, Unimplemented)
    
exception Bug
fun bug msg = err("Bug", msg, Bug)

exception Error
fun error msg = err("Error", msg, Error)
	       
end

