signature RELATION =
   sig
      datatype t = datatype order (* from the pervasive environment *)
	 
      val lessEqual: {< : 'a * 'a -> bool,
		       equals: 'a * 'a -> bool}
	 -> {> : 'a * 'a -> bool,
	     >= : 'a * 'a -> bool,
	     <= : 'a * 'a -> bool,
	     min: 'a * 'a -> 'a,
	     max: 'a * 'a -> 'a,
	     compare: 'a * 'a -> t}

      val compare: ('a * 'a -> t)
	 -> {equals: 'a * 'a -> bool,
	     < : 'a * 'a -> bool,
	     > : 'a * 'a -> bool,
	     >= : 'a * 'a -> bool,
	     <= : 'a * 'a -> bool,
	     min: 'a * 'a -> 'a,
	     max: 'a * 'a -> 'a}
   end
