functor ImmutablePointer(P: BASIC_IMMUTABLE_POINTER)
  : IMMUTABLE_POINTER =
struct

(*val {error, ...} = Error.errors("base/container", "immutable-pointer")*)
   
open P

fun null() = make NONE

fun new v = make(SOME v)
   
fun isNull p =
   case follow p of
      NONE => true
    | _ => false

val op ! = fn p =>
   case follow p of
      SOME v => v
    | NONE => Error.error "!"

val equals = fn(p, p', equal) =>
   case (follow p, follow p') of
      (NONE, NONE) => true
    | (SOME v, SOME v') => equal(v, v')
    | _ => false

end
