signature APPEND_LIST = 
   sig
      type 'a t
      val empty: 'a t
      val cons: 'a * 'a t -> 'a t
      val map: 'a t * ('a -> 'b) -> 'b t
      val single: 'a -> 'a t
      val append: 'a t * 'a t -> 'a t
      val appends: 'a t list -> 'a t
      val fold: 'a t * 'b * ('a * 'b -> 'b) -> 'b
      val foldr: 'a t * 'b * ('a * 'b -> 'b) -> 'b
      val foreach: 'a t * ('a -> unit) -> unit
      val fromList: 'a list -> 'a t
      val toList: 'a t -> 'a list
      val layout: string * ('a -> Layout.t) -> 'a t -> Layout.t
   end
