(*-------------------------------------------------------------------*)
(*                             ListIter                              *)
(*-------------------------------------------------------------------*)

functor ListIter(L: BASIC_LIST): BASIC_LIST_ITER = 
struct

open L

datatype ('a, 'b) iter =
   Empty
 | First of 'a * 'b
 | Rest of 'a t
   
fun iterate(b, f) =
   let
      fun iter b =
	 case f b of
	    Empty => empty()
	  | First(x, b) => cons(x, iter b)
	  | Rest s => s
   in iter b
   end

end

