signature LAZY_LIST =
   sig
      include LIST

      (* include LIST_BASIC_LAZY *)
      val lazyCons: (unit -> ('a * 'a t) option) -> 'a t
      (* *)

      val appendReverse: 'a t * 'a t -> 'a t
      val appendReverseIncremental: 'a t * 'a t -> 'a t
	 (* performs one step of the reverse for
	  each step of the append *)

   (* appendReverseNthTail c (l, l',n) =
    L.append(l, L.reverse(L.nthTail(l',n))),
    where the computation is performed incrementally, with c steps
    of the tail and reverse being performed for each element of l.
       pre: length l*)
      val appendReverseNthTail :
	 Int.t -> 'a t * 'a t * Int.t -> 'a t
   end
