(*-------------------------------------------------------------------*)
(*                              ListRef                              *)
(*-------------------------------------------------------------------*)

functor ListRef(L: LIST): LIST_REF =
struct

structure L = L
   
type 'a t = 'a L.t Ref.t
   
fun push(r, x) = r := L.cons(x, !r)

fun top(ref l) =
   case L.destruct l of
      SOME(x, _) => x
    | NONE => Error.error "top"
	 
fun pop(r as ref l) =
   case L.destruct l of
      SOME(x, l) => (r := l ; x)
    | NONE => Error.error "pop"

end

structure ListRef = ListRef(List)
