signature RING_ELT_LIST =
   sig
      structure R: RING

      include LIST

      val + : R.t t -> R.t
      val * : R.t t -> R.t

      val mapFromTo: R.t * R.t * (R.t -> 'a) -> 'a t
      val fromTo: R.t * R.t -> R.t t
   end
