functor Sum(structure X: T
	    structure Y: T): SUM =
struct

structure X = X
structure Y = Y

datatype t =
   X of X.t
 | Y of Y.t

fun outX(X x) = x
  | outX _ = Error.error "outX"

fun outY(Y y) = y
  | outY _ = Error.error "outY"

fun out(X x, f, _) = f x
  | out(Y y, _, f) = f y

val equals =
   fn (X l, X l') => X.equals(l, l')
    | (Y l, Y l') => Y.equals(l, l')
    | _ => false

fun layout(X l) = X.layout l
  | layout(Y l) = Y.layout l

end
