signature SUM =
   sig
      structure X: T
      structure Y: T
	 
      datatype t =
	 X of X.t
       | Y of Y.t

      val outX: t -> X.t
      val outY: t -> Y.t
      val out: t * (X.t -> 'a) * (Y.t -> 'a) -> 'a
      val equals: t * t -> bool
      val layout: t -> Layout.t
   end
