signature RING_ELT_REF =
   sig
      structure R: RING

      type t = R.t Ref.t
	 
      val + : t * R.t -> unit
      val - : t * R.t -> unit
      val * : t * R.t -> unit
      val inc: t -> unit
      val dec: t -> unit
      val counter: R.t -> {next: unit -> R.t, cur: unit -> R.t}
   end
