signature SEQUENCE =
   sig
      include CONTAINER
	 
      val isEmpty: 'a t -> bool
      val length: 'a t -> Int.t

      val forall2: 'a t * 'b t * ('a * 'b -> bool) -> bool
      val foreach2: 'a t * 'b t * ('a * 'b -> unit) -> unit
      val foreach3: 'a t * 'b t * 'c t * ('a * 'b * 'c -> unit) -> unit
      val fold: 'a t * 'b * ('a * 'b -> 'b) -> 'b
      val foldi: 'a t * 'b * (int * 'a * 'b -> 'b) -> 'b
      val fold2: 'a t * 'b t * 'c * ('a * 'b * 'c -> 'c) -> 'c
      val fold3: 'a t * 'b t * 'c t * 'd * ('a * 'b * 'c * 'd -> 'd) -> 'd
      val foldr: 'a t * 'b * ('a * 'b -> 'b) -> 'b
      val foldr2: 'a t * 'b t * 'c *
	 ('a * 'b * 'c -> 'c) -> 'c
      val foralli: 'a t * (Int.t * 'a -> bool) -> bool
      val foreachi: 'a t * (Int.t * 'a -> unit) -> unit
      val nth: 'a t * Int.t -> 'a
      val peek: 'a t * ('a -> bool) -> 'a option
      val lookup: 'a t * ('a -> bool) -> 'a
      (*val sameLength: 'a t t -> bool*)
      val outputN :
	 Int.t (* how many *)
	 * string (* separator *)
	 * ('a * Out.t -> unit) (* output element *)
	 -> 'a t * Out.t -> unit
      val toList: 'a t -> 'a list
   end

