functor Time(): TIME = 
struct

open Pervasive.Time

type int = Int32.int
type t = time

type times =
   {
    elapsed: t,  (* elapsed system time *)
    utime  : t,  (* user time of process *)
    stime  : t,  (* system time of process *)
    cutime : t,  (* user time of terminated child processes *)
    cstime : t   (* system time of terminated child processes *)
    }

val times = Posix.ProcEnv.times
   
val zero = fromReal 0.0
   
val equals = op =

val {min, max, ...} = Relation.compare compare

val layout = Layout.str o toString

fun output(t, out) = Out.output(out, toString t)

end

structure Time = Time()
