signature STRING_MAP = 
   sig
      type 'a t

      val new: (unit -> 'a) -> 'a t
      val clear: 'a t -> unit
      val lookup: 'a t * string -> 'a
      val domain: 'a t -> string list
      val keepAll: 'a t * ('a -> bool) -> string list
      val foreach: 'a t * ('a -> unit) -> unit
   end
