(* Copyright (C) 1997-1999 NEC Research Institute.
 * Please see the file LICENSE for license information.
 *)
signature INFER_STRUCTS = 
   sig
      structure CoreML: CORE_ML
      structure Xml: XML
      sharing CoreML.Atoms = Xml.Atoms
   end

signature INFER = 
   sig
      include INFER_STRUCTS
      
      val infer: CoreML.Program.t -> Xml.Program.t
   end



